// camera.h

class CCamera
{
public:
	CCamera(void);
	~CCamera(void);

	void Loop(void);
	bool Init(void);
	void Exit(void);
	void Reset(void);

	irr::scene::ICameraSceneNode* GetCamera(void);
	irr::scene::ILightSceneNode*  GetLight(void);

private:
	bool CreateCameraAndLight(void);
	void SetToInitPosition(void);
	
	irr::scene::ICameraSceneNode* m_pCamera;
	irr::scene::ILightSceneNode*  m_pLight;
};

