// map.cpp
#include "global.h"

// ------------------------------------------------------------------------------------------------
CMap::CMap(void)
// ------------------------------------------------------------------------------------------------
{
}

// ------------------------------------------------------------------------------------------------
CMap::~CMap(void)
// ------------------------------------------------------------------------------------------------
{
}

// ------------------------------------------------------------------------------------------------
void CMap::Loop(void)
// ------------------------------------------------------------------------------------------------
{
	
}

// ------------------------------------------------------------------------------------------------
bool CMap::Init(void)
// ------------------------------------------------------------------------------------------------
{
	if (!InitGamePlane()) return(false);
	if (!InitSkyBox()) return(false);

	return(true);
}

// ------------------------------------------------------------------------------------------------
void CMap::Exit(void)
// ------------------------------------------------------------------------------------------------
{

}

// ------------------------------------------------------------------------------------------------
void CMap::Reset(void)
// ------------------------------------------------------------------------------------------------
{
	
}

// ------------------------------------------------------------------------------------------------
bool CMap::InitGamePlane(void)
// ------------------------------------------------------------------------------------------------
{
	extern GLOBALDATA gl_Data;

	DB("CMap::InitGamePlane");

	return(true);
}

// ------------------------------------------------------------------------------------------------
bool CMap::InitSkyBox(void)
// ------------------------------------------------------------------------------------------------
{
	extern GLOBALDATA gl_Data;
	
	irr::video::ITexture* T[6];
	
	T[0] = gl_Data.pVideoDriver->getTexture("./media/sky_top.bmp");
	if (!T[0]) return(false);
	T[1] = gl_Data.pVideoDriver->getTexture("./media/sky_bottom.bmp");
	if (!T[1]) return(false);
	T[2] = gl_Data.pVideoDriver->getTexture("./media/sky_left.bmp"); 
	if (!T[2]) return(false);
	T[3] = gl_Data.pVideoDriver->getTexture("./media/sky_right.bmp"); 
	if (!T[3]) return(false);
	T[4] = gl_Data.pVideoDriver->getTexture("./media/sky_front.bmp"); 
	if (!T[4]) return(false);
	T[5] = gl_Data.pVideoDriver->getTexture("./media/sky_back.bmp"); 
	if (!T[5]) return(false);
	
	gl_Data.pSceneManager->addSkyBoxSceneNode(T[0],T[1],T[2],T[3],T[4],T[5],gl_Data.pSceneManager->getRootSceneNode(),0); 

	return(true);
}

